import request from '@/utils/request'

// 查询LineUserProfitLogs列表
export function listLineUserProfitLogs(query) {
    return request({
        url: '/api/v1/line-user-profit-logs',
        method: 'get',
        params: query
    })
}

// 查询LineUserProfitLogs详细
export function getLineUserProfitLogs (id) {
    return request({
        url: '/api/v1/line-user-profit-logs/' + id,
        method: 'get'
    })
}


// 新增LineUserProfitLogs
export function addLineUserProfitLogs(data) {
    return request({
        url: '/api/v1/line-user-profit-logs',
        method: 'post',
        data: data
    })
}

// 修改LineUserProfitLogs
export function updateLineUserProfitLogs(data) {
    return request({
        url: '/api/v1/line-user-profit-logs/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineUserProfitLogs
export function delLineUserProfitLogs(data) {
    return request({
        url: '/api/v1/line-user-profit-logs',
        method: 'delete',
        data: data
    })
}

